### Signal

# Clutter Timeline::marker-reached

#### Declaration

    void
    marker_reached (
      ClutterTimeline* self,
      gchar* marker_name,
      gint msecs,
      gpointer user_data
    )

#### Description [src]

The signal is emitted each time a timeline reaches a marker set with `clutter_timeline_add_marker_at_time()`.

This signal is detailed with the name of the marker as well, so it is possible to connect a callback to the `ClutterTimeline::marker-reached` signal for a specific marker with:

      clutter_timeline_add_marker_at_time (timeline, "foo", 500);
      clutter_timeline_add_marker_at_time (timeline, "bar", 750);

      g_signal_connect (timeline, "marker-reached",
                        G_CALLBACK (each_marker_reached), NULL);
      g_signal_connect (timeline, "marker-reached::foo",
                        G_CALLBACK (foo_marker_reached), NULL);
      g_signal_connect (timeline, "marker-reached::bar",
                        G_CALLBACK (bar_marker_reached), NULL);

In the example, the first callback will be invoked for both the “foo” and “bar” marker, while the second and third callbacks will be invoked for the “foo” or “bar” markers, respectively.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing
The signal can be detailed
Hooks are disabled for this signal

#### Parameters

`marker_name`

  Type: `gchar*`

  The name of the marker reached.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`msecs`

  Type: `gint`

  The elapsed time.